OData 3.0 Support in RESTlet

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

OData 3.0 Support in RESTlet

Heston Holtmann
I have an important OData consumer project in Java on my plate. Does the latest (or older) version of RESTlet framework fully support a very specific version 3.0 of the OData Standard?
I have checked out the sources.. been inspecting the OData extension support code and the Javadocs... and I can't find anything to indicate it supports anything beyond OData v1.0 or v2.0.
Certainly no mention of any support for OData 3.0 (what I need).. or even latest OData v4.0 protocol.
Thanks, Heston

--
You received this message because you are subscribed to the Google Groups "Restlet Framework (Discuss)" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
Reply | Threaded
Open this post in threaded view
|

Re: OData 3.0 Support in RESTlet

Jerome Louvel-3
Hi Heston,

Sorry, but we don't support the latest versions of OData even though a contribution on this front would be welcome.
You might want to have a look at https://olingo.apache.org/ for an alternative.

Best regards,
Jerome


2017-12-07 17:29 GMT+01:00 Heston Holtmann <[hidden email]>:
I have an important OData consumer project in Java on my plate. Does the latest (or older) version of RESTlet framework fully support a very specific version 3.0 of the OData Standard?
I have checked out the sources.. been inspecting the OData extension support code and the Javadocs... and I can't find anything to indicate it supports anything beyond OData v1.0 or v2.0.
Certainly no mention of any support for OData 3.0 (what I need).. or even latest OData v4.0 protocol.
Thanks, Heston


--
You received this message because you are subscribed to the Google Groups "Restlet Framework (Discuss)" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
Reply | Threaded
Open this post in threaded view
|

Re: OData 3.0 Support in RESTlet

Heston Holtmann
Thanks for the response and confirmation.. and just an FYI.. i have fully explored the Apache Olingo OData framework.. it seems to be the only remaining actively developed Java based OData framework.. and it ONLY supports Version 2.0 and Version 4.0.
Version 3.0 support was completely abandoned mid-way and never got beyond an incomplete beta level for OData 3.0 support.
Also to save others time: Odata Version 3.0 and 4.0 spec is NOT compatible with version 2.0
and even 3.0 and 4.0 have breaking changes between them.


On Friday, 8 December 2017 01:12:33 UTC-6, jlouvel wrote:
Hi Heston,

Sorry, but we don't support the latest versions of OData even though a contribution on this front would be welcome.
You might want to have a look at <a href="https://olingo.apache.org/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Folingo.apache.org%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEPtWr_jdpA_CaCCNAhPRIl4OU3nQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Folingo.apache.org%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEPtWr_jdpA_CaCCNAhPRIl4OU3nQ&#39;;return true;">https://olingo.apache.org/ for an alternative.

Best regards,
Jerome


2017-12-07 17:29 GMT+01:00 Heston Holtmann <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="AGySNYo_BgAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">hhol...@...>:
I have an important OData consumer project in Java on my plate. Does the latest (or older) version of RESTlet framework fully support a very specific version 3.0 of the OData Standard?
I have checked out the sources.. been inspecting the OData extension support code and the Javadocs... and I can't find anything to indicate it supports anything beyond OData v1.0 or v2.0.
Certainly no mention of any support for OData 3.0 (what I need).. or even latest OData v4.0 protocol.
Thanks, Heston


--
You received this message because you are subscribed to the Google Groups "Restlet Framework (Discuss)" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].